#ifndef ENTRYTYPE_HPP
#define ENTRYTYPE_HPP

namespace ExtendedLog
{
	/**
	 * @brief The possible types of an log-entry
	 */
	enum class EntryType
	{
		/**
		 * @brief Information only
		 */
		INFORMATION,

		/**
		 * @brief Warning: something goes wrong, but it is not critical
		 */
		WARNING,

		/**
		 * @brief Error: something critical goes wrong
		 */
		ERROR,

		/**
		 * @brief Type not identifiable
		 */
		UNKNOWN
	};
} // namespace ExtendedLog

#endif // ENTRYTYPE_HPP
