#include "LogEntry.hpp"
#include "LogReader.hpp"

#include <QList>
#include <QVector>

ExtendedLog::LogReader::LogReader(QString filename) :
	filename(filename),
	allEntries()
{ }

QVector<ExtendedLog::LogEntry>& ExtendedLog::LogReader::getAllEntries()
{
	return this->allEntries;
}

QVector<ExtendedLog::LogEntry>& ExtendedLog::LogReader::getEntriesByType(EntryType type)
{
	QVector<LogEntry> *result = new QVector<LogEntry>();
	for (auto &&entry : allEntries)
	{
		if (entry.getEntryType() == type) { result->push_back(entry); }
	}
	return *result;
}

QVector<ExtendedLog::LogEntry>& ExtendedLog::LogReader::getEntriesByMessage(QString message)
{
	QVector<LogEntry> *result = new QVector<LogEntry>();
	for (auto &&entry : allEntries)
	{
		if (entry.getMessage().toLower().startsWith(message.toLower())) { result->push_back(entry); }
	}
	return *result;
}

QVector<ExtendedLog::LogEntry>& ExtendedLog::LogReader::getEntriesByMessgeAndType(EntryType type, QString message)
{
	QVector<LogEntry> *result = new QVector<LogEntry>();
	for (auto &&entry : allEntries)
	{
		if (entry.getMessage().toLower().startsWith(message.toLower()) && entry.getEntryType() == type) { result->push_back(entry); }
	}
	return *result;
}
