#include "LogEntry.hpp"
#include "TextLogWriter.hpp"

#include <QFile>
#include <QTextStream>

ExtendedLog::TextLogWriter::TextLogWriter(QString filename) :
	file(filename),
	writer(&file)
{
	if (!file.open(QIODevice::ReadWrite)) { throw false; }
	this->writer.setCodec("UTF-8");
}

void ExtendedLog::TextLogWriter::writeEntry(EntryType type, QString message)
{
	LogEntry entry(type, message);
	writer << entry.toString() << Qt::endl;
}

void ExtendedLog::TextLogWriter::close()
{
	file.close();
}
